Bug 5931 - Paging and sorting saved reports table
Summary: Paging and sorting saved reports table
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Frédéric Demians
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-22 11:35 UTC by Frédéric Demians
Modified: 2012-10-25 23:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (5.45 KB, patch)
2011-03-22 13:07 UTC, Frédéric Demians
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2011-03-22 11:35:52 UTC
On Reports > Saved reports page, a table shows all saved reports.
Table's rows are sorted by report IDs. When there are a lot reports,
this table is difficult to read.

A enhancement of this page would display this table using a paging bar
and sort options on column names, like in the framework table.
Comment 1 Frédéric Demians 2011-03-22 13:07:35 UTC
Created attachment 3395 [details] [review]
Proposed patch
Comment 2 Liz Rea 2011-03-22 15:38:06 UTC
Signed off.
Comment 3 Chris Cormack 2011-03-23 04:04:53 UTC
Pushed, please test
Comment 4 Julian Maurice 2011-03-23 08:29:27 UTC
Works as expected.